package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 球杆商品视图对象
 *
 * @author: frank
 * @create: 2025-04-10
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class CueProductVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    @Schema(description = "主键")
    private Long id;
    /**
     * 商品名称
     */
    @Schema(description = "商品名称")
    private String name;
    /**
     * 商品描述
     */
    @Schema(description = "商品描述")
    private String description;
    /**
     * 商品图片
     */
    @Schema(description = "商品图片")
    private String images;
    /**
     * 商品价格
     */
    @Schema(description = "商品价格")
    private BigDecimal price;
    /**
     * 品牌名称
     */
    @Schema(description = "品牌名称")
    private String brandName;
    /**
     * 品牌logo
     */
    @Schema(description = "品牌logo")
    private String brandLogo;
}
