package com.tmerclub.cloud.cuerecycle.model.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serial;
import java.io.Serializable;

/**
 * 球杆类型视图对象
 *
 * @author: frank
 * @create: 2025-04-10
 **/
@Data
@EqualsAndHashCode(callSuper = true)
public class CueTypeVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * 球杆类型id
     */
    @Schema(description = "球杆类型id")
    private Long id;
    /**
     * 球杆类型名称
     */
    @Schema(description = "球杆类型名称")
    private String name;
    /**
     * 球杆类型图片
     */
    @Schema(description = "球杆类型图片")
    private String image;
}
