package com.tmerclub.cloud.cuerecycle.service.impl;

import cn.hutool.core.bean.BeanUtil;
import cn.hutool.core.date.DateUtil;
import com.tmerclub.cloud.cuerecycle.mapper.CueTypeMapper;
import com.tmerclub.cloud.cuerecycle.model.CueType;
import com.tmerclub.cloud.cuerecycle.model.dto.CueTypeDTO;
import com.tmerclub.cloud.cuerecycle.service.CueTypeService;
import jakarta.annotation.Resource;
import org.springframework.stereotype.Service;

/**
 * 球杆类型Service接口
 *
 * @author: frank
 * @create: 2025-04-11
 **/
@Service
public class CueTypeServiceImpl implements CueTypeService {
    @Resource
    CueTypeMapper cueTypeMapper;


    @Override
    public int insert(CueTypeDTO couponDTO) {
        CueType cueType = BeanUtil.toBean(couponDTO, CueType.class);
        cueType.setCreateTime(DateUtil.date());
        return cueTypeMapper.insert(cueType);
    }

    @Override
    public int update(CueType cueType) {
        cueType.setUpdateTime(DateUtil.date());
        return cueTypeMapper.update(cueType);
    }

    @Override
    public int updateStatus(Long id, Integer status) {
        return cueTypeMapper.updateStatus(id, status);
    }
}